Subject: Re: [RFC] Implementing HUGEPAGE on MPC 8xx

From: Scott Wood <[email-masked]>
Date: Wed, 08 Jun 2016 19:15:08 -0500

On Wed, 2016-06-08 at 09:03 +0200, Christophe Leroy wrote:
> In see in the current ppc kernel that for PPC32, SYS_SUPPORTS_HUGETLBFS 
> is selected only if we have PHYS_64BIT.
> What is the reason for only implementing HUGETLBFS with 64 bits phys 
> addresses ?

That's not for PPC32 in general -- it's for 32-bit FSL Book E.  The reason for
the limitation is that there are separate TLB miss handlers depending on
whether PHYS_64BIT is enabled, and we didn't want to have to implement hugetlb
support in both of them unless there was actual demand for it.

>  From your point of view, what would be the best approach to extend 
> support of HUGE PAGES to PPC_8xx ?
> Would the good starting point be to implement a hugepagetlb-8xx.c from 
> hugepagetlb-book3e.c ?

Yes.

-Scott